/*
** main.c
**
** Nokia 3310 Example Program
** Target: ATMEGA :: AVR-GCC
**
** Written by Tony Myatt - 2007
** Quantum Torque - www.quantumtorque.com
*/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include <stdlib.h>
#include "lcd.h"

#define LEFT_BUTTON (PINA & (1<<PA6))
#define CENTER_BUTTON (PINA & (1<<PA5))
#define RIGHT_BUTTON (PINA & (1<<PA4))
#define UP_BUTTON (PINA & (1<<PA7))
#define DOWN_BUTTON (PINA & (1<<PA3))

#define WIDTH  84
#define HEIGHT 48
#define SNAKE_SIZE 100




//int stop_joc = 0;

/* main -- Program starts here */
int main(void)
{	
	MCUCR |= (1 << JTD); 
    MCUCR |= (1 << JTD); 

	// Setup LCD
	lcd_init();
	lcd_contrast(0x40);
	
	
	buttons_init();
	// Print on first line
	lcd_goto_xy(1,1);
	lcd_str("Start game");
	lcd_goto_xy(1,1);
	lcd_str("SNAKE");
	lcd_goto_xy(1,3);
	lcd_str("Press center");
	lcd_goto_xy(1,4);
	lcd_str("button to");
	lcd_goto_xy(1,5);
	lcd_str("start");
	
	while(1){
		while(CENTER_BUTTON);	
		lcd_clear();

		PORTA &= ~(1 << PA2);
		board_init();
		lcd_goto_xy(1,1);
		lcd_str("<<snake>>");
		init_snake();
		draw_snake();
		while(1) {
			direction();
			_delay_ms(100);
			move();
			_delay_ms(50);
			if (is_lost() == 1) { 
				PORTA |= (1 << PA2);
				lcd_goto_xy(4,4);
				lcd_str("You lost");
				board_init();
			}
			else {
				draw_snake();
			}
		}
	}
}






